# List all versions of a workflow definition Return a list of all workflow versions under a workflow definition ### User Access Permission You must be assigned the Workflow View Access permission to run this operation. Endpoint: GET /workflows/{workflow_id}/versions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `workflow_id` (integer, required) The unique id of the workflow definition to import a workflow version under. ## Response 200 fields (application/json): - `data` (array) The list of workflow versions retrieved. - `data.calloutTrigger` (boolean) Indicates whether the callout trigger is enabled for the retrieved workflow. - `data.createdAt` (string) The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format. - `data.description` (string) The description of the workflow. - `data.id` (integer) The unique ID of the workflow. - `data.interval` (string) The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled. - `data.name` (string) The name of the workflow. - `data.ondemandTrigger` (boolean) Indicates whether the ondemand trigger is enabled for the workflow. - `data.scheduledTrigger` (boolean) Indicates whether the scheduled trigger is enabled for the workflow. - `data.timezone` (string) The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled. - `data.type` (string) The type of the workflow. Currently the only valid value is 'Workflow::Setup'. Enum: "Workflow::Setup", "Workflow::Instance" - `data.updatedAt` (string) The date and time when the workflow is updated the last time, in the YYYY-MM-DD HH:MM:SS format. - `data.version` (string) The version number of the workflow.